//============================
//    	Name: CONFIG
//============================

/* ==== COLORS ==== */
	// * MainColors
	$$blue = #09aeed;
	$$deepblue = #004569;
	$$orange = #fe6e35;
	

	// * Material
	$$red            = #f44336;
	// $$pink        = #e91e63;
	// $$purple      = #9c27b0;
	// $$deeppurple  = #673ab7;
	$$indigo         = #3f51b5;
	// $$blue        = #2196f3;
	// $$lightblue   = #03a9f4;
	$$cyan           = #00bcd4;
	// $$teal        = #009688;
	$$green          = #4caf50;
	// $$lightgreen  = #8bc34a;
	// $$lime        = #cddc39;
	// $$yellow      = #ffeb3b;
	// $$amber       = #ffc107;
	// $$orange      = #ff9800;
	// $$deeporange  = #ff5722;
	// $$brown       = #795548;
	// $$grey        = #9e9e9e;
	// $$bluegrey    = #607d8b;
	$$black          = #000000;
	$$dark           = #202326;
	$$white          = #ffffff;
	$$null           = #0000;
/* ==== ----- ==== */

/* ==== BLOCK-CLASS-STRUCTURE ==== */
	__() {
		+prefix-classes('&'+ '__') {
			{block}
		}
	}

	bord(n) { 
		n = n px
		border-radius: n n n n;
	}

	glyph(n) {
			@extend {n}
	}

	media(n) {
		@media (max-width: n + .98px) {
			{block}
		}
	}

	key(n) {
		@keyframes {n} {
			{block}
		}
	}
/* ==== ---- ==== */

/* ==== TRANSITION ==== */
	__cubic = cubic-bezier(0.4, 0.0, 0.2, 1);
/* ==== ----- ==== */

/* ==== SHADOW ==== */
	__shadow = 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
	__shadowHover = 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
/* ==== ----- ==== */



/* ==== SETTINGS ==== */

__fontSelected = fmain
	// * Body 
	__bodyFont = __fontSelected
	__bodyWeight = normal
	__bodySize = 16px //only pixel format
	__bodyColor = $$black
	__bodySpacing = normal
	__bodyLine = 141%

	// * Header
	__headerFont = __fontSelected
	__headerSize = 1rem
	__headerColor = $$black
	__headerSpacing = normal
	__headerLine = 141%

	// * Paragraph
	__paragraphFont = __fontSelected
	__paragraphSize = 0.88rem
	__paragraphColor = $$black
	__paragraphSpacing = normal
	__paragraphMargin = 0

	// * Href
	__hrefUnderline-true = underline;
	__hrefUnderline-false = none;
	__hrefFont = __fontSelected
	__hrefSize = 0.88rem
	__hrefColor = $$black;
	__hrefSpacing = normal
	__hrefUnderline = __hrefUnderline-false
/* ==== ----- ==== */

/* ==== BODY ==== */
	html, body {
		font-family __bodyFont
		font-size __bodySize
		font-weight __bodyWeight
		// display: grid;
	}
/* ==== ----- ==== */

/* ==== H1 - H6 ==== */
	for i in 1..6 {
		h{i} {
			font-family: __headerFont;
			letter-spacing: __headerSpacing;
			color: __headerColor;
			line-height: __headerLine;
			margin unset
		}
	}
	// * HH 
	h1
		font-size __headerSize + 1.5 
	h2
		font-size __headerSize + 1.0 
	h3
		font-size __headerSize + 0.5 
	h4
		font-size __headerSize + 0.1
	h5
		font-size __headerSize - 0.1 
	h6
		font-size __headerSize - 0.3 
/* ==== ----- ==== */

/* ==== Paragraph ==== */
	p {
		font-family __paragraphFont;
		font-size __paragraphSize;
		color: __paragraphColor;
		letter-spacing __paragraphSpacing
		margin: __paragraphMargin
	}
/* ==== ----- ==== */

/* ==== HREF ==== */
	a, a:hover {
		// font-family __hrefFont;
		// font-size __hrefSize;
		// color: __hrefColor;
		letter-spacing __hrefSpacing; 
		text-decoration: __hrefUnderline;
		transition all .25s __cubic
		user-select none
	}

	a:hover {
		// color: darken($$black, 30%);
	}
/* ==== ----- ==== */

/* ==== UL ==== */
	ul {

	}

	li {

	}
/* ==== ----- ==== */

/* ==== LABEL ==== */
	label {
		& span {
			// user-select none
		}
	}
/* ==== ----- ==== */

/* ==== NAVIGATION ==== */
	section {
		position: relative;
		overflow: hidden;
	}

	nav {
		font-style: normal;
	}

	address {
		font-style: normal;
	}

	span {
		
	}

	button {
		user-select none
	}

	select {

	}
/* ==== ---- ==== */

/* ==== GLOBAL ==== */
html { 
	box-sizing: border-box; 
}
*, *::before, *::after { 
	box-sizing: inherit; 
}

	*:focus {
		outline 0
	}
/* ==== ---- ==== */

/* ==== FIREFOXFIX ==== */
	input:required,
	input:invalid {
		box-shadow:none;
	}
/* ==== ---- ==== */

/* ==== UPLOADFIX ==== */
	input[type=file]::-webkit-file-upload-button {
		border: none;
		margin: 0;
		padding: 0;
		-webkit-appearance: none;
		width: 0;
	}
/* ==== ---- ==== */

/* ==== VISIBILITY ==== */
	// * height 
	.height-true {
		height auto
	}
	.height-false {
		height 0
	}
	// * opacity 
	.opacity-true {
		opacity 1
	}
	.opacity-false {
		opacity 0
	}
	// * display 
	.display-true {
		display grid
	}
	.display-false {
		display none
	}
	// * js__display 
	.item-true {
		display grid
	}
	.item-false {
		display none
	}
	// * view 
	.view-true {
		visibility visible
	}
	.view-false {
		visibility hidden
	}
	.DELETE {
		display none !important
	}
	.DEL {
		display none !important
	}
/* ==== ---- ==== */

/* ==== OTHER ==== */
	input:disabled,
	textarea:disabled {
		background-color $$null
	}
	.img-fluid {
		max-width: 100%;
		height: auto;
	}
	.align-self-center {
		// display grid
		align-self center
	}
	.ttu {
		text-transform: uppercase
	}
/* ==== ---- ==== */

/* ==== GLYPHS ==== */
.inline-svg__init {
	border: 0 !important;
	clip: rect(0 0 0 0) !important;
	height: 1px !important;
	margin: -1px !important;
	overflow: hidden !important;
	padding: 0 !important;
	position: absolute !important;
	width: 1px !important;
	display: inline-grid;
	visibility visible
}

[class*='glyphs__'] {
	display: inline-grid;
	width: 100%;
	height: 100%;
	margin: auto;
	align-items: center;
	justify-content: center;
	margin: auto;
	// fill: $$orange;
	font-size 0;
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
}



	// [class*="i-glyphs__"] {
	// 	font-size 0 !important
	// 	display: flex;
	// 	width: auto;
	// 	height: 100%;
	// 	margin auto
	// 	align-items: center;
	// 	justify-content: center;
	// 	&:before {
	// 		-moz-osx-font-smoothing: grayscale;
	// 		-webkit-font-smoothing: antialiased;
	// 		content ''
	// 		display: flex;
	// 		width: auto;
	// 		height: auto;
	// 		font-family fglyph
	// 		font-size: 1rem;
	// 		font-style: normal;
	// 		font-variant: normal;
	// 		font-weight: normal;
	// 		line-height: 1;
	// 		position: relative;
	// 		text-align: center;
	// 		text-decoration: none;
	// 		text-transform: none;
	// 	}
	// }
	
// glyphs {
// 	+__(b = '::before') {
// 		.scrollup{b} {
// 			glyph: $star$
// 			color: $$orange
// 			font-size 1.7rem
// 		}
// 		.error{b} {
// 			glyph: $star$
// 			color: $$orange
// 			font-size 1.7rem
// 		}
// 	}
// }
//   
/* ==== ---- ==== */

/* ==== SPACE ==== */
	.space {
		&-1, &-2, &-3 {
			x = 0;
			justify-content: center;
			align-items center
			background-color: #eee;
			border: 1px solid #bbb;
			border-right: x;
			border-left: x;
			font-size: x;
			width: 100%;
			display: grid;
			grid-template: 1fr / 1fr;
			&:before {
				display: grid;
				font-size: 5rem;
				color: #ccc;
				line-height: 1;
				justify-content: center;
				align-items: center;
			}
		}
		&-1 {
			height 33vh
			&:before {
				content: 'SPACE-1'
			}
		}
		&-2 {
			height 66vh
			&:before {
				content: 'SPACE-2'
			}
		}
		&-3 {
			height 99vh
			&:before {
				content: 'SPACE-3'
			}
		}
	}
/* ==== ---- ==== */